ru.bitel.bgbilling.modules.phone.server.bean

## Class GateWorker

- java.lang.Object
- - java.lang.Thread
  - - ru.bitel.bgbilling.modules.phone.server.bean.GateWorker

- All Implemented Interfaces:
    java.lang.Runnable

      public class GateWorker
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateWorker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExceptions()`
    `java.lang.StringBuffer` | `getResultLog()`
    `void` | `init(Gate gate, java.sql.Connection con, int mid, GateType gateType, int cid, int status)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GateWorker

          public GateWorker()

  - ### Method Detail

    - #### init

          public void init(Gate gate,
                           java.sql.Connection con,
                           int mid,
                           GateType gateType,
                           int cid,
                           int status)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### getResultLog

          public java.lang.StringBuffer getResultLog()

    - #### getExceptions

          public java.lang.String getExceptions()